PAlib: Mode 7 commands !!!

Main Page | Modules | File List | Globals | Search for

# Mode 7 commands !!!

## Functions

void | PA_InitMode7 (u8 bg_select)
| Initialize Mode 7 for a given background. You MUST be in video mode 1 or 2
void | PA_DeInitMode7 (void)
| DeInitialize Mode 7
void | PA_Mode7Angle (s16 angle)
| Define the current angle.
void | PA_Mode7MoveLeftRight (s16 x_deplac)
| Move lateraly, so left or right...
void | PA_Mode7MoveForwardBack (s16 z_deplac)
| Move forward or backwards
void | PA_Mode7X (s16 mode7x)
| Move to a given point on the map
void | PA_Mode7Z (s16 mode7z)
| Move to a given point on the map
void | PA_Mode7SetPointXZ (s16 mode7x, s16 mode7z)
| Move to a given point on the map (of coordinates x, z)
void | PA_Mode7Height (s16 mode7y)
| Set the camera height.

## Detailed Description

Different commands for Mode 7 :p A big thanks to TONC for these...

## Function Documentation

void PA_InitMode7 | ( | u8 | bg_select | ) |

Initialize Mode 7 for a given background. You MUST be in video mode 1 or 2

Parameters:

  | bg_select | Bg number, 2 in mode 1, 2 or 3 in mode 2

inline void PA_Mode7Angle | ( | s16 | angle | ) | `[inline]`

Define the current angle.

Parameters:

  | angle | The angle ranges from 0 to 511...

inline void PA_Mode7Height | ( | s16 | mode7y | ) | `[inline]`

Set the camera height.

Parameters:

  | mode7y | Camera Height. By default, 8192. You can set this from 0 to 40 000 (or even more, but then it gets a little small...

inline void PA_Mode7MoveForwardBack | ( | s16 | z_deplac | ) | `[inline]`

Move forward or backwards

Parameters:

  | z_deplac | Number of pixels to move forward or backwards

inline void PA_Mode7MoveLeftRight | ( | s16 | x_deplac | ) | `[inline]`

Move lateraly, so left or right...

Parameters:

  | x_deplac | Number of pixels to move left or right

inline void PA_Mode7SetPointXZ | ( | s16 | mode7x,
|  | s16 | mode7z
| ) | `[inline]`

Move to a given point on the map (of coordinates x, z)

Parameters:

  | mode7x | X position on the map
  | mode7z | Z position on the map

inline void PA_Mode7X | ( | s16 | mode7x | ) | `[inline]`

Move to a given point on the map

Parameters:

  | mode7x | X position on the map

inline void PA_Mode7Z | ( | s16 | mode7z | ) | `[inline]`

Move to a given point on the map

Parameters:

  | mode7z | Z position on the map